Name:		asciinema
Version:	2.0.2
Release:	%mkrel 2
Summary:	Terminal session recorder
License:	GPLv3+
Group:		Terminals
URL:		https://asciinema.org
Source0:	https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(nose)
# pkg_resources is used from /usr/bin/asciinema
Requires:       python3dist(setuptools)
%{?python_provide:%python_provide python3-%{name}}

%description
Asciinema is a free and open source solution for recording the terminal sessions
and sharing them on the web.

%prep
%setup -q -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

# man page
install -d %{buildroot}%{_mandir}/man1
install -p -m 644 man/asciinema.1 %{buildroot}%{_mandir}/man1/

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc *.md doc/*.md
%{_bindir}/asciinema
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-*.egg-info/
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.0.2-2.mga8
+ Revision: 1533417
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 wally <wally> 2.0.2-1.mga8
+ Revision: 1440659
- new version 2.0.2

* Fri Sep 13 2019 wally <wally> 2.0.1-9.mga8
+ Revision: 1440471
- add group
- add python_provides
- import based on .spec from Fedora

